Listar verificaciones de la cuenta
curl --request GET \
--url https://api.gotrebol.com/verifications \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gotrebol.com/verifications"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gotrebol.com/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "c8dc41fc-c477-404e-aff7-b9074f86d6d1",
"account_id": "99999999-9999-9999-9999-999999999999",
"status": "pending",
"created_at": "2025-04-28T20:10:06.840Z",
"updated_at": "2025-04-28T20:10:06.840Z",
"tag": "etiqueta",
"tax_id": "SAG160927GIA",
"business_name": "Trebol OPCO",
"friendly_name": "Empresa ACME S.A. de C.V.",
"flow_id": "documents-v2",
"details_url": "https://app.gotrebol.com/verifications/c8dc41fc-c477-404e-aff7-b9074f86d6d1",
"onboarding_url": "https://onboarding.gotrebol.com/verification/c8dc41fc...",
"items": [
{
"id": 25440,
"item_status": "pending",
"item_type": "csf_mx",
"item_value": {}
}
]
}
],
"next": "eyJjcmVhdGVkQXQiOiIyMDI1LTA0LTI4VDIwOjEwOjA2Ljg0MFoiLCJpZCI6ImM4ZGM0MWZjLWM0NzctNDA0ZS1hZmY3LWI5MDc0Zjg2ZDZkMSJ9"
}
Leer información de la empresa
Listar verificaciones de la cuenta
Retorna las verificaciones asociadas a la cuenta con paginación basada en tokens. El tamaño de página por defecto es 10 y el máximo permitido es 20.
GET
/
verifications
Listar verificaciones de la cuenta
Authorizations
Query Parameters
Filtra por el estado de la verificación.
Available options:
pending, finished, error, pending_validation Cantidad de verificaciones por página. Valor por defecto: 10.
Debe ser un entero positivo; valores no enteros o menores o iguales a 0 resultan en 400 Bad Request.
Valores mayores a 20 se ajustan automáticamente al máximo permitido (20).
Required range:
x >= 1Token de paginación para obtener la siguiente página de resultados.
Was this page helpful?